Status: Closed Start date: 2011-11-14

Priority: Normal Due date:  

Assignee: Skye Roseboom % Done: 100%

Category: Management Estimated time: 0.00 hour

Target version:    

Story Points:    

Description

As a CN developer or administrator, it would be convenient if it were possible to obtain a list of versions of all deployed components

and their dependent libraries (primarily libraries developed on this project).

Consistency of versions of d1_common_java and d1_libclient_java used by different applications on the Coordinating Nodes is

critical for consistent and expected behavior of the CN functionality.

This story contains tasks to design, develop and deploy a tool that can be used by administrators or developers of CNs to obtain

such a list. It should also include tasks to add suitable information to each of the jars such that appropriate version information can be

retrieved.

Subtasks:

Task # 2026: Outline design of the version list tool Closed

Task # 2039: CN webapps version reporting tool Closed

Task # 2041: Package and deploy version tool Closed

Task # 2042: d1_process_daemon version reporting Closed

Task # 2043: d1_indexer process version reporting Closed

Task # 2268: Update buildout install scripts to generate version document Closed

History

#1 - 2011-11-28 17:09 - Skye Roseboom

- Status changed from New to In Progress

#2 - 2011-11-28 18:45 - Dave Vieglais

- Target version changed from Sprint-2011.46-Block.6 to Sprint-2011.48-Block.6

- Position changed from 1 to 321

- Position set to 1

#3 - 2011-12-06 14:21 - Dave Vieglais

- Position deleted (325)

- Target version deleted (Sprint-2011.48-Block.6)

- Position set to 1

#4 - 2012-01-06 04:02 - Dave Vieglais

- Position set to 1

- Position deleted (30)

#5 - 2012-03-27 18:43 - Skye Roseboom

- Status changed from In Progress to Closed

Closing as all sub-tasks complete.
